numvar Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
numvar Module Reference
Collaboration diagram for numvar:

## Data Fields
integer, save | ipr
| pressure More...
integer, save | iu
| velocity component More...
integer, save | iv
| velocity component More...
integer, save | iw
| velocity component More...
integer, save | ik
| turbulent kinetic energy More...
integer, save | iep
| turbulent dissipation More...
integer, save | ir11
| Reynolds stress component . More...
integer, save | ir22
| Reynolds stress component . More...
integer, save | ir33
| Reynolds stress component . More...
integer, save | ir12
| Reynolds stress component . More...
integer, save | ir23
| Reynolds stress component . More...
integer, save | ir13
| Reynolds stress component . More...
integer, save | iphi
| variable of the model More...
integer, save | ifb
| variable of the model More...
integer, save | ial
| variable of the model More...
integer, save | iomg
| variable of the SST More...
integer, save | inusa
| variable of the Spalart Allmaras More...
integer, dimension(nscamx), save | isca
| isca(i) is the index of the scalar i More...
integer, dimension(nscamx), save | iscapp
| iscapp(i) is the index of the specific physics scalar i More...
integer, save | nscaus
| number of user scalars More...
integer, save | nscapp
| number of specific physics scalars More...
integer, save | nscasp
| number of species scalars More...
integer, save | iuma
| mesh velocity component More...
integer, save | ivma
| mesh velocity component More...
integer, save | iwma
| mesh velocity component More...
integer, dimension(npromx), save | ipproc
| pointer to cell properties (propce) More...
integer, save | irom
| Density at the current time step. More...
integer, save | iroma
| Density at the previous time step. More...
integer, save | iviscl
| dynamic molecular viscosity (in kg/(m.s)) More...
integer, save | ivisct
| dynamic turbulent viscosity More...
integer, save | ivisla
| dynamic molecular viscosity (in kg/(m.s)) at the previous time-step More...
integer, save | ivista
| dynamic turbulent viscosity at the previous time-step More...
integer, save | icp
| specific heat More...
integer, save | icpa
| specific heat at the previous time-step More...
integer, save | itsnsa
| Navier-Stokes source terms at the previous time-step. More...
integer, save | itstua
| Turbulent source terms at the previous time-step. More...
integer, dimension(nscamx), save | itssca
| transported scalars source terms at the previous time-step More...
integer, dimension(nestmx), save | iestim
| error estimator for Navier-Stokes More...
integer, save | kimasf
| interior and boundary convective mass flux key ids of the variables More...
integer, save | kbmasf
integer, dimension(nvarmx), save | ifluaa
| convective mass flux of the variables at the previous time-step More...
integer, save | icrom
| cell and boundary density key ids of the variables More...
integer, save | ibrom
integer, save | ismago
| dynamic constant of Smagorinsky More...
integer, save | icour
| Courant number. More...
integer, save | ifour
| Fourier number. More...
integer, save | iprtot
| Total pressure at cell centres . More...
integer, dimension(3), save | ivisma
| Mesh velocity viscosity for the ALE module. More...
integer, dimension(nscamx), save | iustdy
| pointer for dilatation source terms More...
integer, save | itsrho
| pointer for global dilatation source terms More...
integer, save | ibeta
| pointer for thermal expansion coefficient More...
integer, save | icoef
| Coefficients used for gradient terms and convective terms. More...
integer, save | icoeff
| Coefficients used for diffusive terms. More...
integer, save | icoefr
| Coefficients used for divergence terms (for example in the momentum equation) More...
integer, save | icoefc
| Coefficients used for convection terms. More...
integer, dimension(nvarmx, 4), save | iclrtp
| pointer to coefa and coefb arrays More...
integer, dimension(nvarmx), save | ivarfl
| Field id for variable i. More...
integer, dimension(npromx), save | iprpfl
| Field id for property i. More...
integer, save | idtten
| Field id for the dttens tensor. More...

The documentation for this module was generated from the following file:

- src/base/numvar.f90